; ##############################################################################
; ##############################################################################
; ##############################################################################
EEPROM_WERKSEINSTELLUNG:
	ldi ZL,LOW (adr_EEPROM_WERKSEINSTELLUNG)
	ldi ZH,HIGH(adr_EEPROM_WERKSEINSTELLUNG)
	rcall EEPROM_READ_PLUS_TEMP	
	cpi temp,(EEPROM_LOESCHBYTE)
	brne EEPROM_WERKSEINSTELLUNG_RUN
	ret
EEPROM_WERKSEINSTELLUNG_RUN:
	ldi ZL,LOW (adr_EEPROM_WERKSEINSTELLUNG)
	ldi ZH,HIGH(adr_EEPROM_WERKSEINSTELLUNG)
	; SCHLEIFE	
	ldi YL,LOW (500)
	ldi YH,HIGH(500)
EEPROM_WERKSEINSTELLUNG_s:	
	ldi temp1,(EEPROM_LOESCHBYTE)
	rcall EEPROM_WRITE_PLUS_TEMP1	
	; SCHLEIFE	
	SBIW YL,1
	tst YL
	brne EEPROM_WERKSEINSTELLUNG_s
	tst YH
	brne EEPROM_WERKSEINSTELLUNG_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
EEPROM_TASTEN_LADEN:
	; TASTE			
	ldi ZL,LOW (adr_EEPROM_TASTEN+0)
	ldi ZH,HIGH(adr_EEPROM_TASTEN+0)
	ldi temp1,0		; X			
	ldi temp2,0		; Y			
	ldi temp3,40	; dowCod	
	rcall EEPROM_TASTEN_LADEN_TEMP1_2_3_Z
	; TASTE			
	ldi temp1,80	; X			
	ldi temp2, 0	; Y			
	rcall EEPROM_TASTEN_LADEN_TEMP1_2_3_Z
	; TASTE			
	ldi temp1,0		; X			
	ldi temp2,20	; Y			
	rcall EEPROM_TASTEN_LADEN_TEMP1_2_3_Z
	; TASTE			
	ldi temp1,80	; X			
	ldi temp2,20	; Y			
	rcall EEPROM_TASTEN_LADEN_TEMP1_2_3_Z
	; TASTE			
	ldi temp1,0		; X			
	ldi temp2,40	; Y			
	rcall EEPROM_TASTEN_LADEN_TEMP1_2_3_Z
	; TASTE			
	ldi temp1,80	; X			
	ldi temp2,40	; Y			
	rcall EEPROM_TASTEN_LADEN_TEMP1_2_3_Z
	; TASTE			
	ldi temp1,0		; X			
	ldi temp2,60	; Y			
	rcall EEPROM_TASTEN_LADEN_TEMP1_2_3_Z
	; TASTE			
	ldi temp1,80	; X			
	ldi temp2,60	; Y			
	rcall EEPROM_TASTEN_LADEN_TEMP1_2_3_Z
	; TASTE			
	ldi temp1,0		; X			
	ldi temp2,80	; Y			
	rcall EEPROM_TASTEN_LADEN_TEMP1_2_3_Z
	; TASTE			
	ldi temp1,80	; X			
	ldi temp2,80	; Y			
	rjmp EEPROM_TASTEN_LADEN_TEMP1_2_3_Z
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INP:	temp1= X																
; 		temp2= Y																
; 		temp3= dowCod															
EEPROM_TASTEN_LADEN_TEMP1_2_3_Z:
	rcall GRAFIC_ESC	; ESC senden
	rcall GRAFIC_A
	rcall GRAFIC_T
;-------------------------------------------
	mov temp,temp1
	rcall PAKET_DATA_TEMP; X1		
;-------------------------------------------
	mov temp,temp2
	rcall PAKET_DATA_TEMP; Y1		
;-------------------------------------------
	mov temp,temp1
	SUBI temp,(-80)		; Breite berechnen	
	rcall PAKET_DATA_TEMP; X2		
;-------------------------------------------
	mov temp,temp2
	SUBI temp,(-16)		; Hhe berechnen	
	rcall PAKET_DATA_TEMP; Y2		
;-------------------------------------------
	mov temp,temp3
	rcall PAKET_DATA_TEMP; dowCod	
;-------------------------------------------
	rcall GRAFIC_NULL	; upCod		
;-------------------------------------------
	rcall GRAFIC_C		; zentriert
;-------------------------------------------
	ADIW ZL,3; 3xDUMMY (MODUS/FREQUENZ/FREQUENZ)	
;-------------------------------------------
	rcall EEPROM_READ_PLUS_TEMP	
	rcall PAKET_DATA_TEMP; TEXT
	rcall EEPROM_READ_PLUS_TEMP	
	rcall PAKET_DATA_TEMP; TEXT
	rcall EEPROM_READ_PLUS_TEMP	
	rcall PAKET_DATA_TEMP; TEXT
	rcall EEPROM_READ_PLUS_TEMP
	rcall PAKET_DATA_TEMP; TEXT
	rcall EEPROM_READ_PLUS_TEMP
	rcall PAKET_DATA_TEMP; TEXT
	rcall EEPROM_READ_PLUS_TEMP	
	rcall PAKET_DATA_TEMP; TEXT
	rcall EEPROM_READ_PLUS_TEMP
	rcall PAKET_DATA_TEMP; TEXT
	rcall EEPROM_READ_PLUS_TEMP
	rcall PAKET_DATA_TEMP; TEXT
;-------------------------------------------
	rcall GRAFIC_NULL	; NULL				
;-------------------------------------------
	inc temp3 ; dowCod	
	ADIW ZL,39; AF		
	rjmp PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Ein Byte aus EEPROM laden und Z-Zeiger + 1									
; INPUT:	ZL Adresse (low)													
;			ZH Adresse (High)													
;																				
; OUTPUT: 	TEMP (DATEN)														
;																				
EEPROM_READ_PLUS_TEMP:
	sbic EECR,EEWE 		; Wait for completion of previous write
	rjmp EEPROM_READ_PLUS_TEMP
	out  EEARH, ZH		; ADRESSE setzen						
	out  EEARL, ZL
	sbi  EECR,EERE		; Start eeprom read by writing EERE		
	in 	 temp,EEDR		; Read data from data register			
	adiw ZL,1			; ADRESSE +1 							
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
;																				
; Ein Byte im EEPROM ablegen und Z-Zeiger + 1									
;																				
; INPUT:	ZL Adresse (low)													
;			ZH Adresse (High)													
;																				
; 		 	TEMP1  DATEN														
;																				
EEPROM_WRITE_PLUS_TEMP1:
	; ndert sich das EEPROM-Byte ?
	rcall EEPROM_READ_PLUS_TEMP
	sbiw ZL,1			; ADRESSE -1 							
	cp temp1,temp
	brne EEPROM_WRITE_PLUS_TEMP1_RUN
	adiw ZL,1			; ADRESSE +1 							
	cbi (LED_GRUEN_PORT),LED_GRUEN_PIN_NR		; GRN an		
	rcall wait_1ms
	sbi (LED_GRUEN_PORT),LED_GRUEN_PIN_NR		; GRN aus		
	ret
EEPROM_WRITE_PLUS_TEMP1_RUN:
	sbic EECR,EEWE		; Wait for completion of previous write
	rjmp EEPROM_WRITE_PLUS_TEMP1_RUN
	WDR
	out  EEARH,ZH		; ADRESSE setzen						
	out  EEARL,ZL
	out  EEDR, temp1	; Write data  to data register			
	sbi  EECR, EEMWE	; Write logical one to EEMWE			
	sbi  EECR, EEWE		; Start eeprom write by setting EEWE	
	adiw ZL,1			; ADRESSE +1 							

	cbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB an		
	rcall wait_1ms
	sbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB aus		

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

