; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_INITIALISIERUNG:
	; Helligkeit					
	ldi temp1,30
	rcall GRAFIC_HELL_TEMP1	
	; KURSOR off					
	rcall GRAFIC_ESC	; ESC senden
	rcall GRAFIC_T
	rcall GRAFIC_C
	rcall GRAFIC_NULL	; NULL		
	; Tasten-Rahmentyp				
	rcall TASTEN_RAHMENTYP_DUNKEL
	rcall GRAFIC_CLEAR
	rjmp PAKET_SENDEN
; #############################################################################
; #############################################################################
; #############################################################################
; komplett alles lschen (TEXT/GRAFIC/TASTEN)									
GRAFIC_CLEAR:
	rcall GRAFIC_TEXT_CLEAR
	rcall GRAFIC_GRAFIC_CLEAR
	rjmp TASTEN_CLEAR
; #############################################################################
; #############################################################################
; #############################################################################
; nur der TEXT lschen															
GRAFIC_TEXT_CLEAR:
	ldi temp,12			; FF=Formfeed
	rcall PAKET_DATA_TEMP
	rjmp PAKET_SENDEN
; #############################################################################
; #############################################################################
; #############################################################################
; nur GRAFIC lschen und TASTEN verbergen										
GRAFIC_GRAFIC_CLEAR:
	rcall GRAFIC_ESC	; ESC senden
	rcall GRAFIC_D
	rcall GRAFIC_L
	rjmp PAKET_SENDEN
; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_HELL_TEMP1:
	rcall GRAFIC_ESC	; ESC senden
	rcall GRAFIC_Y
	rcall GRAFIC_H
	mov temp,temp1
	rcall PAKET_DATA_TEMP
	rjmp PAKET_SENDEN
; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_BEEP:
	rcall GRAFIC_ESC	; ESC senden
	rcall GRAFIC_Y
	rcall GRAFIC_S
	ldi temp,2
	rcall PAKET_DATA_TEMP
	rcall PAKET_SENDEN
	rcall WAIT_100ms
	rcall WAIT_100ms
	rjmp  WAIT_100ms
; #############################################################################
; #############################################################################
; #############################################################################
; ESC G P x1 y1																   
GRAFIC_PUNKT_TEMP1_2:
	push temp2			; temp2 sichern	
	push temp1			; temp1 sichern	
	rcall GRAFIC_ESC	; ESC senden	
	rcall GRAFIC_G
	rcall GRAFIC_P
	pop temp			; temp1(temp) wieder herstellen
	rcall PAKET_DATA_TEMP
	pop temp			; temp2(temp) wieder herstellen
	rcall PAKET_DATA_TEMP
	rjmp PAKET_SENDEN
; #############################################################################
; #############################################################################
; #############################################################################
; ESC G  D x1 y1 x2 y2														   
GRAFIC_GERADE_TEMP1_4:
	push temp4			; temp4 sichern
	push temp3			; temp3 sichern
	push temp2			; temp2 sichern
	push temp1			; temp1 sichern


	rcall GRAFIC_ESC	; ESC senden
	rcall GRAFIC_G
	rcall GRAFIC_D

	pop temp			; temp1(temp) wieder herstellen
	rcall PAKET_DATA_TEMP

	pop temp			; temp2(temp) wieder herstellen
	rcall PAKET_DATA_TEMP

	pop temp			; temp3(temp) wieder herstellen
	rcall PAKET_DATA_TEMP

	pop temp			; temp4(temp) wieder herstellen
	rcall PAKET_DATA_TEMP

	rjmp PAKET_SENDEN
; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_POWER_DOWN:
	rcall GRAFIC_ESC	; ESC senden
	rcall GRAFIC_P
	rcall GRAFIC_D
	rcall GRAFIC_NULL
	ldi temp,1		; n2=0: kein WakeUp per Touch; n2=1: WakeUp per Touch mglich
	rcall PAKET_DATA_TEMP
	rjmp PAKET_SENDEN
; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_ZEILE_1:
	ldi temp,1	; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_2:
	ldi temp,2	; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_3:
	ldi temp,3	; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_4:
	ldi temp,4	; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_5:
	ldi temp,5	; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_6:
	ldi temp,6	; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_7:
	ldi temp,7	; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_8:
	ldi temp,8	; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_9:
	ldi temp,9	; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_10:
	ldi temp,10; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_11:
	ldi temp,11; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_12:
	ldi temp,12; ZEILE		
	rjmp GRAFIC_ZEILE
GRAFIC_ZEILE_13:
	ldi temp,13; ZEILE		
	rjmp GRAFIC_ZEILE
; #############################################################################
GRAFIC_ZEILE:
	push temp
	rcall GRAFIC_ESC	; ESC senden
	rcall GRAFIC_T
	rcall GRAFIC_P
	rcall GRAFIC_1		; SPALTE(1)	
	pop temp			; ZEILE		
	rjmp PAKET_DATA_TEMP
;######################################################################## 
;########################################################################
;######################################################################## 
GRAFIC_TEXT_Z:
	LPM temp, Z+   			; aus Tabelle laden und Zeiger um 1 erhhen	
	tst temp  			
	brne GRAFIC_TEXT_Z_w 	; Sprung
	rcall PAKET_SENDEN
	ret
GRAFIC_TEXT_Z_w:
	rcall PAKET_DATA_TEMP
	rjmp GRAFIC_TEXT_Z
; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_SPACE5:
	ldi temp,' ' ; SPACE
	rcall PAKET_DATA_TEMP
GRAFIC_SPACE4:
	ldi temp,' ' ; SPACE
	rcall PAKET_DATA_TEMP
GRAFIC_SPACE3:
	ldi temp,' ' ; SPACE
	rcall PAKET_DATA_TEMP
GRAFIC_SPACE2:
	ldi temp,' ' ; SPACE
	rcall PAKET_DATA_TEMP
GRAFIC_SPACE:
	ldi temp,' ' ; SPACE
	rjmp PAKET_DATA_TEMP
; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_PUNKT3:
	ldi temp,'.' ; "."
	rcall PAKET_DATA_TEMP
GRAFIC_PUNKT2:
	ldi temp,'.' ; "."
	rcall PAKET_DATA_TEMP
GRAFIC_PUNKT:
	ldi temp,'.' ; "."
	rjmp PAKET_DATA_TEMP
; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_DOPPEL_PUNKT:
	ldi temp,':' ; ":"
	rjmp PAKET_DATA_TEMP
; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_ISTGLEICH:
	ldi temp,'=' ; "="
	rjmp PAKET_DATA_TEMP
; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_UNTERSTRICH5:
	ldi temp,'_' ; "_"
	rcall PAKET_DATA_TEMP
GRAFIC_UNTERSTRICH4:
	ldi temp,'_' ; "_"
	rcall PAKET_DATA_TEMP
GRAFIC_UNTERSTRICH3:
	ldi temp,'_' ; "_"
	rcall PAKET_DATA_TEMP
GRAFIC_UNTERSTRICH2:
	ldi temp,'_' ; "_"
	rcall PAKET_DATA_TEMP
GRAFIC_UNTERSTRICH:
	ldi temp,'_' ; "_"
	rjmp PAKET_DATA_TEMP
; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_ESC:
	ldi temp,27
	rjmp PAKET_DATA_TEMP
GRAFIC_NULL:
	clr temp
	rjmp PAKET_DATA_TEMP
GRAFIC_1:
	ldi temp,1
	rjmp PAKET_DATA_TEMP
GRAFIC_2:
	ldi temp,2
	rjmp PAKET_DATA_TEMP
; #############################################################################
; #############################################################################
; #############################################################################
GRAFIC_A:
	ldi temp,'A' 
	rjmp PAKET_DATA_TEMP
GRAFIC_B:
	ldi temp,'B' 
	rjmp PAKET_DATA_TEMP
GRAFIC_C:
	ldi temp,'C' 
	rjmp PAKET_DATA_TEMP
GRAFIC_D:
	ldi temp,'D' 
	rjmp PAKET_DATA_TEMP
GRAFIC_E:
	ldi temp,'E' 
	rjmp PAKET_DATA_TEMP
GRAFIC_F:
	ldi temp,'F' 
	rjmp PAKET_DATA_TEMP
GRAFIC_G:
	ldi temp,'G' 
	rjmp PAKET_DATA_TEMP
GRAFIC_H:
	ldi temp,'H' 
	rjmp PAKET_DATA_TEMP
GRAFIC_I:
	ldi temp,'I' 
	rjmp PAKET_DATA_TEMP
GRAFIC_J:
	ldi temp,'J' 
	rjmp PAKET_DATA_TEMP
GRAFIC_K:
	ldi temp,'K' 
	rjmp PAKET_DATA_TEMP
GRAFIC_L:
	ldi temp,'L' 
	rjmp PAKET_DATA_TEMP
GRAFIC_M:
	ldi temp,'M' 
	rjmp PAKET_DATA_TEMP
GRAFIC_N:
	ldi temp,'N' 
	rjmp PAKET_DATA_TEMP
GRAFIC_O:
	ldi temp,'O' 
	rjmp PAKET_DATA_TEMP
GRAFIC_P:
	ldi temp,'P' 
	rjmp PAKET_DATA_TEMP
GRAFIC_Q:
	ldi temp,'Q' 
	rjmp PAKET_DATA_TEMP
GRAFIC_R:
	ldi temp,'R' 
	rjmp PAKET_DATA_TEMP
GRAFIC_S:
	ldi temp,'S' 
	rjmp PAKET_DATA_TEMP
GRAFIC_T:
	ldi temp,'T' 
	rjmp PAKET_DATA_TEMP
GRAFIC_U:
	ldi temp,'U' 
	rjmp PAKET_DATA_TEMP
GRAFIC_V:
	ldi temp,'V' 
	rjmp PAKET_DATA_TEMP
GRAFIC_W:
	ldi temp,'W' 
	rjmp PAKET_DATA_TEMP
GRAFIC_X:
	ldi temp,'X' 
	rjmp PAKET_DATA_TEMP
GRAFIC_Y:
	ldi temp,'Y' 
	rjmp PAKET_DATA_TEMP
GRAFIC_Z:
	ldi temp,'Z' 
	rjmp PAKET_DATA_TEMP

